<style src="./MainHeader.scss" lang="scss" scoped></style>
<script src="./MainHeader.js"></script>

<template>
  <header
    id="m_header"
    class="m-grid__item m-header pl-0"
    m-minimize-offset="200"
    m-minimize-mobile-offset="200"
  >
    <div class="m-container m-container--fluid m-container--full-height">
      <div class="m-stack m-stack--ver m-stack--desktop">
        <div class="m-stack__item m-brand">
          <div class="m-stack m-stack--ver m-stack--general">
            <div class="m-stack__item m-stack__item--middle m-brand__logo">
              <a :href="idpChooseOrganization" class="m-brand__logo-wrapper">
                <img v-if="appInfoObj && appInfoObj['crm']" :src="appInfoObj['crm'].logo_url" />
                <img v-else src="@/assets/imgs/logo_crm.png" />
              </a>
            </div>
            <div class="m-stack__item m-stack__item--middle m-brand__tools">
              <a
                id="m_aside_header_menu_mobile_toggle"
                href="javascript:;"
                class="m-brand__icon m-brand__toggler m--visible-tablet-and-mobile-inline-block"
              >
                <span></span>
              </a>
            </div>
          </div>
        </div>

        <div class="m-stack__item m-stack__item--fluid m-header-head" id="m_header_nav">
          <button
            class="m-aside-header-menu-mobile-close m-aside-header-menu-mobile-close--skin-light"
            id="m_aside_header_menu_mobile_close_btn"
          >
            <i class="la la-remove"></i>
          </button>
          <div
            id="m_header_menu"
            class="s--header-menu m-header-menu m-aside-header-menu-mobile m-aside-header-menu-mobile--offcanvas m-header-menu--skin-light m-header-menu--submenu-skin-light m-aside-header-menu-mobile--skin-light m-aside-header-menu-mobile--submenu-skin-light"
          >
            <ul class="m-menu__nav m-menu__nav--submenu-arrow nt-header-nav">
              <li class="m-menu__item text-center m-menu__item-logo" style="display: block;">
                <a :href="idpChooseOrganization" class="m-brand__logo">
                  <img
                    v-if="appInfoObj && appInfoObj['crm']"
                    alt
                    :src="appInfoObj['crm'].logo_url"
                    height="40"
                  />
                  <img v-else src="@/assets/imgs/logo_crm.png" height="40" />
                </a>
              </li>

              <li
                class="m-menu__item m-menu__item--submenu nt-header-nav-item nt-header-nav-item-organization"
                m-menu-submenu-toggle="hover"
                aria-haspopup="true"
                v-if="currentTeamId"
              >
                <a class="m-menu__link m-menu__toggle">
                  <span class="m-menu__item-here"></span>
                  <span class="m-menu__link-text nt-header-subnav-item-organization">
                    <span class="nt-header-subnav-item-organization-image">
                      <img v-if="currentTeam.logo_url" :src="currentTeam.logo_url" />
                      <img v-else src="@/assets/imgs/logo-default.png" />
                    </span>
                    <span
                      class="nt-header-subnav-item-organization-info"
                      style="width: calc(100% - 50px);"
                    >
                      <h4
                        v-if="currentTeam.name"
                        class="nt-header-subnav-item-organization-info-name"
                      >{{ currentTeam.name | truncateWords(15) }}</h4>
                      <span
                        class="nt-header-subnav-item-organization-info-role"
                      >{{ currentTeam.role_name }}</span>
                    </span>
                  </span>
                  <i class="m-menu__hor-arrow fa fa-angle-down"></i>
                  <i class="m-menu__ver-arrow fa fa-angle-up"></i>
                </a>
                <div class="m-menu__submenu m-menu__submenu--classic m-menu__submenu--left">
                  <ul
                    class="m-menu__subnav nt-header-subnav"
                    style="width: 320px; padding: 0 !important"
                  >
                    <div v-if="currentTeam" class="org-label d-flex align-items-center">
                      <img v-if="currentTeam.logo_url" :src="currentTeam.logo_url" />
                      <img v-else src="@/assets/imgs/logo-default.png" />
                      <div>
                        <div
                          class="org-name"
                          data-toggle="m-tooltip"
                          :data-original-title="currentTeam.name"
                        >{{ currentTeam.name | truncateWords(15) }}</div>
                        <div class="org-role">{{ currentTeam.role_name }}</div>
                      </div>
                    </div>
                    <div
                      class="org-header"
                      v-if="currentTeam && (currentTeam.role_id === 1 || currentTeam.role_id === 2)"
                    >
                      <a
                        class="cursor-pointer d-flex align-items-center org-settings"
                        :href="redirectOrganizationInfo(currentTeam.team_id)"
                        target="_blank"
                      >
                        <i class="icon icon-settings m-dropdown__toggle" style="margin-right: 10px"></i>
                        Cài đặt tổ chức
                      </a>
                    </div>
                    <div class="nt-header-subnav-body nt-scroll-primary">
                      <li
                        class="m-menu__item nt-header-subnav-item"
                        v-for="(item, index) in organizations"
                        :key="index"
                      >
                        <a
                          class="m-menu__link nt-header-subnav-item-organization"
                          :class="{'is-active': currentTeamId && item.team_id == currentTeamId}"
                          :href="redirectLaunchpad(item.team_id)"
                        >
                          <span class="nt-header-subnav-item-organization-group">
                            <span class="nt-header-subnav-item-organization-image">
                              <img v-if="item.logo_url" :src="item.logo_url" />
                              <img v-else src="@/assets/imgs/logo-default.png" />
                            </span>
                            <span class="nt-header-subnav-item-organization-info">
                              <h4
                                class="nt-header-subnav-item-organization-info-name"
                              >{{ item.name | truncateWords(15) }}</h4>
                              <span
                                class="nt-header-subnav-item-organization-info-role"
                              >{{ item.role_name }}</span>
                            </span>
                          </span>
                        </a>
                      </li>
                    </div>
                    <li
                      class="m-menu__item nt-header-subnav-item nt-header-subnav-item-create-organization"
                    >
                      <a class="m-menu__link" :href="idpAddOrganizationUrl">
                        <i class="icon icon-plus"></i>Thêm mới tổ chức
                      </a>
                    </li>
                  </ul>
                </div>
              </li>
              <li
                class="m-menu__item m-menu__item--submenu m-menu__item--rel nt-header-nav-item"
                m-menu-submenu-toggle="hover"
                aria-haspopup="true"
              >
                <router-link
                  class="m-menu__link m-menu__toggle"
                  :to="{name : 'customers', params : {team_id : currentTeam.team_id} }"
                >
                  <span class="m-menu__item-here"></span>
                  <span class="m-menu__link-text">Khách hàng</span>
                  <i class="m-menu__hor-arrow fa fa-angle-down"></i>
                  <i class="m-menu__ver-arrow fa fa-angle-up"></i>
                </router-link>
                <div class="m-menu__submenu m-menu__submenu--classic m-menu__submenu--left">
                  <ul class="m-menu__subnav nt-header-subnav">
                    <li
                      class="m-menu__item nt-header-subnav-item"
                      m-menu-link-redirect="1"
                      aria-haspopup="true"
                    >
                      <router-link
                        class="m-menu__link"
                        :to="{name : 'customers', params : {team_id : currentTeam.team_id} }"
                      >
                        <span class="m-menu__link-wrap">
                          <span class="m-menu__link-text">
                            <i class="icon icon-businessman"></i>&nbsp; Danh sách khách hàng
                          </span>
                        </span>
                      </router-link>
                    </li>
                  </ul>
                </div>
              </li>

              <li
                class="m-menu__item m-menu__item--submenu m-menu__item--rel nt-header-nav-item"
                m-menu-submenu-toggle="hover"
                aria-haspopup="true"
              >
                <router-link
                  class="m-menu__link m-menu__toggle"
                  :to="{name : 'products', params : {team_id : currentTeam.team_id} }"
                >
                  <span class="m-menu__item-here"></span>
                  <span class="m-menu__link-text">Bán hàng</span>
                  <i class="m-menu__hor-arrow fa fa-angle-down"></i>
                  <i class="m-menu__ver-arrow fa fa-angle-up"></i>
                </router-link>
                <div class="m-menu__submenu m-menu__submenu--classic m-menu__submenu--left">
                  <ul class="m-menu__subnav nt-header-subnav">
                    <li
                      class="m-menu__item nt-header-subnav-item"
                      m-menu-link-redirect="1"
                      aria-haspopup="true"
                    >
                      <router-link
                        class="m-menu__link"
                        :to="{name : 'products', params : {team_id : currentTeam.team_id} }"
                      >
                        <span class="m-menu__link-wrap">
                          <span class="m-menu__link-text">
                            <i class="icon icon-box"></i>
                            <span>Danh sách sản phẩm</span>
                          </span>
                        </span>
                      </router-link>
                    </li>
                    <li
                      class="m-menu__item nt-header-subnav-item"
                      m-menu-link-redirect="1"
                      aria-haspopup="true"
                    >
                      <router-link
                        class="m-menu__link"
                        :to="{name : 'deals', params : {team_id : currentTeam.team_id} }"
                      >
                        <span class="m-menu__link-wrap">
                          <span class="m-menu__link-text">
                            <i class="icon icon-dollar"></i>
                            <span>Danh sách giao dịch</span>
                          </span>
                        </span>
                      </router-link>
                    </li>
                  </ul>
                </div>
              </li>

              <li
                class="m-menu__item m-menu__item--submenu m-menu__item--rel nt-header-nav-item"
                m-menu-submenu-toggle="hover"
                aria-haspopup="true"
              >
                <router-link
                  class="m-menu__link m-menu__toggle"
                  :to="{name : 'emailTemplateList', params : {team_id : currentTeam.team_id} }"
                >
                  <span class="m-menu__item-here"></span>
                  <span class="m-menu__link-text">CSKH Tự động</span>
                  <i class="m-menu__hor-arrow fa fa-angle-down"></i>
                  <i class="m-menu__ver-arrow fa fa-angle-up"></i>
                </router-link>
                <div class="m-menu__submenu m-menu__submenu--classic m-menu__submenu--left">
                  <ul class="m-menu__subnav nt-header-subnav">
                    <li
                      class="m-menu__item nt-header-subnav-item"
                      m-menu-link-redirect="1"
                      aria-haspopup="true"
                    >
                      <router-link
                        class="m-menu__link"
                        :to="{name : 'emailTemplateList', params : {team_id : currentTeam.team_id} }"
                      >
                        <span class="m-menu__link-wrap">
                          <span class="m-menu__link-text">
                            <i class="icon icon-email"></i>
                            <span>Quản lý mẫu email</span>
                          </span>
                        </span>
                      </router-link>
                    </li>
                    <li
                      class="m-menu__item nt-header-subnav-item"
                      m-menu-link-redirect="1"
                      aria-haspopup="true"
                    >
                      <router-link
                        class="m-menu__link"
                        :to="{name : 'emailSchedulerList', params : {team_id : currentTeam.team_id} }"
                      >
                        <span class="m-menu__link-wrap">
                          <span class="m-menu__link-text">
                            <i class="icon icon-email-time-01"></i>
                            <span>Quản lý lịch gửi email tự động</span>
                          </span>
                        </span>
                      </router-link>
                    </li>
                  </ul>
                </div>
              </li>

              <li
                class="m-menu__item m-menu__item--submenu m-menu__item--rel nt-header-nav-item"
                m-menu-submenu-toggle="hover"
                aria-haspopup="true"
              >
                <a href="javascript:;" class="m-menu__link">
                  <span class="m-menu__item-here"></span>
                  <span class="m-menu__link-text">Báo cáo & Thống kê</span>
                  <i class="m-menu__hor-arrow fa fa-angle-down"></i>
                  <i class="m-menu__ver-arrow fa fa-angle-up"></i>
                </a>
                <!-- <router-link
                  class="m-menu__link"
                  :to="{name : 'reportsCustomer', params : {team_id : currentTeam.team_id} }"
                >
                  <span class="m-menu__item-here"></span>
                  <span class="m-menu__link-text">Báo cáo & Thống kê</span>
                  <i class="m-menu__hor-arrow fa fa-angle-down"></i>
                  <i class="m-menu__ver-arrow fa fa-angle-up"></i>
                </router-link>-->
                <div class="m-menu__submenu m-menu__submenu--classic m-menu__submenu--left">
                  <ul class="m-menu__subnav nt-header-subnav">
                    <li
                      class="m-menu__item nt-header-subnav-item"
                      m-menu-link-redirect="1"
                      aria-haspopup="true"
                    >
                      <router-link
                        class="m-menu__link"
                        :to="{name : 'reportsCustomer', params : {team_id : currentTeam.team_id} }"
                        v-if="accessible( userCheckAddOn, 'report', PERMISSION_STATEMENT_CUSTOMER, userCurrentPermissions)"
                      >
                        <span class="m-menu__link-wrap">
                          <span class="m-menu__link-text">
                            <i class="icon icon-pie-chart"></i>
                            <span>Thống kê khách hàng</span>
                          </span>
                        </span>
                      </router-link>
                      <a
                        href="javascript:;"
                        class="m-menu__link"
                        v-else
                        data-toggle="m-tooltip"
                        :data-original-title="titleNotPermisson"
                        data-html="true"
                      >
                        <span class="m-menu__link-wrap">
                          <span class="m-menu__link-text">
                            <i class="icon icon-pie-chart"></i>
                            <span>Thống kê khách hàng</span>
                          </span>
                        </span>
                      </a>
                    </li>
                    <li
                      class="m-menu__item nt-header-subnav-item"
                      m-menu-link-redirect="1"
                      aria-haspopup="true"
                    >
                      <router-link
                        class="m-menu__link"
                        :to="{name : 'reportsDeal', params : {team_id : currentTeam.team_id} }"
                        v-if="accessible( userCheckAddOn, 'report', PERMISSION_STATEMENT_SALE, userCurrentPermissions)"
                      >
                        <span class="m-menu__link-wrap">
                          <span class="m-menu__link-text">
                            <i class="icon icon-bar-chart"></i>
                            <span>Thống kê giao dịch</span>
                          </span>
                        </span>
                      </router-link>
                      <a
                        href="javascript:;"
                        class="m-menu__link"
                        v-else
                        data-toggle="m-tooltip"
                        :data-original-title="titleNotPermisson"
                        data-html="true"
                      >
                        <span class="m-menu__link-wrap">
                          <span class="m-menu__link-text">
                            <i class="icon icon-bar-chart"></i>
                            <span>Thống kê giao dịch</span>
                          </span>
                        </span>
                      </a>
                    </li>
                  </ul>
                </div>
              </li>

              <li
                class="m-menu__item m-menu__item--submenu m-menu__item--rel nt-header-nav-item nt-nav-item-mobile"
                v-if="getCurentRoleByTeamId() === 1 || getCurentRoleByTeamId() === 2"
              >
                <router-link
                  class="m-menu__link"
                  :to="{ name : 'SettingsInfoCustomer', params: { team_id : currentTeam.team_id }}"
                >
                  <span class="m-menu__item-here"></span>
                  <span class="m-menu__link-text">Cài đặt phần mềm</span>
                </router-link>
              </li>
            </ul>
          </div>

          <div
            id="m_header_topbar"
            class="s--topbar m-topbar m-stack m-stack--ver m-stack--general"
          >
            <div class="m-stack__item m-topbar__nav-wrapper">
              <ul class="m-topbar__nav m-nav m-nav--inline">
                <li class="m-nav__item m-nav__item-logo">
                  <a :href="idpChooseOrganization" class="m-brand__logo">
                    <img
                      v-if="appInfoObj && appInfoObj['crm']"
                      alt
                      :src="appInfoObj['crm'].logo_url"
                      height="40"
                    />
                    <img v-else src="@/assets/imgs/logo_crm.png" height="40" />
                  </a>
                </li>
                <Usage v-if="currentTeamId" />
                
                <TodoList />

                <li
                  v-if="currentTeamId"
                  class="m-nav__item nt-nav__item-launchpad m-dropdown m-dropdown--medium m-dropdown--arrow m-dropdown--align-right m-dropdown--mobile-full-width m-dropdown--skin-ligh"
                  m-dropdown-toggle="click"
                >
                  <a href="javascript:;" class="nt-nav__item-launchpad-dropdown m-dropdown__toggle">
                    <span>
                      <i class="icon icon-menu-1"></i>
                    </span>
                  </a>
                  <div class="m-dropdown__wrapper">
                    <div class="m-dropdown__inner">
                      <div class="m-dropdown__body" style="padding-bottom: 0">
                        <h4 class="nt-title-small">Ứng dụng</h4>
                        <ul class="nt-nav__item-launchpad-list">
                          <template v-for="(app, index) in appInfo">
                            <li
                              class="nt-nav__item-launchpad-list-item"
                              :key="index"
                              v-if="app.is_enabled"
                            >
                              <a
                                :href="redirectAppUrl(app.app_slug, currentTeamId)"
                                class="nt-nav__item-launchpad-list-item-link"
                              >
                                <span
                                  class="nt-nav__item-launchpad-list-item-link-image"
                                  :class="app.class"
                                >
                                  <img :src="app.app_icon_url" />
                                </span>
                                <span
                                  class="nt-nav__item-launchpad-list-item-link-text text-uppercase"
                                >
                                  <template v-if="app.app_slug == 'education'">em</template>
                                  <template v-else>{{ app.app_slug }}</template>
                                </span>
                              </a>
                            </li>
                          </template>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>

                <Notifications />

                <li class="m-nav__item m-nav__item-setting">
                  <template v-if="getCurentRoleByTeamId() === 1 || getCurentRoleByTeamId() === 2">
                    <router-link
                      class="nt-btn-setting"
                      :to="{ name : 'SettingsInfoCustomer', params: { team_id : currentTeam.team_id}}"
                      data-toggle="m-tooltip"
                      data-original-title="Cài đặt phần mềm"
                    >
                      <i class="icon icon-settings"></i>
                    </router-link>
                  </template>
                  <template v-else>
                    <a
                      href="javascript:;"
                      class="nt-btn-setting"
                      data-toggle="m-tooltip"
                      :data-original-title="titleNotPermisson"
                      data-html="true"
                    >
                      <i class="icon icon-settings"></i>
                    </a>
                  </template>
                </li>

                <li
                  class="m-nav__item m-topbar__user-profile nt-topbar__user-profile m-dropdown m-dropdown--medium m-dropdown--arrow m-dropdown--align-right m-dropdown--mobile-full-width m-dropdown--skin-light"
                  m-dropdown-toggle="click"
                >
                  <a href="javascript:;" class="m-nav__link m-dropdown__toggle">
                    <span class="m-topbar__userpic" v-if="currentUser">
                      <div id="nt_user_avatar" v-if="currentUser.avatar_url">
                        <div class="nt-user-dropdown-item">
                          <authenticate-image
                            :image_url="currentUser.avatar_url"
                            :image_id="'nt_user_avatar'"
                          ></authenticate-image>
                        </div>
                      </div>
                      <span
                        v-else
                        :style="{ 'background-image': 'url(' + require('@/assets/imgs/avatar.png') + ')' }"
                        style="display: block; width: 40px; height: 40px; background-size: cover; background-position: center center; border-radius: 50%;"
                      ></span>
                    </span>
                    <span class="m-nav__link-icon m-topbar__usericon m--hide">
                      <span class="m-nav__link-icon-wrapper">
                        <i class="flaticon-user-ok"></i>
                      </span>
                    </span>
                    <span class="m-topbar__username s--topbar__username m--hidden-mobile">
                      <span class="s--topbar__username-icon">
                        <i class="la la-angle-down"></i>
                      </span>
                    </span>
                  </a>
                  <div class="m-dropdown__wrapper">
                    <div class="m-dropdown__inner">
                      <div
                        v-if="currentUser"
                        class="m-dropdown__header nt-dropdown__header m--align-center m--hidden-mobile"
                      >
                        <div class="m-card-user m-card-user--skin-light">
                          <div class="m-card-user__pic">
                            <a
                              v-if="currentUser && currentUser.id"
                              class="m-nav__link"
                              active-class="active"
                              :href="idpUserInfo"
                            >
                              <div id="nt_user_dropdown_avatar" v-if="currentUser.avatar_url">
                                <div class="nt-user-dropdown-item">
                                  <authenticate-image
                                    :image_url="currentUser.avatar_url"
                                    :image_id="'nt_user_dropdown_avatar'"
                                  ></authenticate-image>
                                </div>
                              </div>
                              <span
                                v-else
                                :style="{ 'background-image': 'url(' + require('@/assets/imgs/avatar.png') + ')' }"
                                style="display: block; width: 40px; height: 40px; background-size: cover; background-position: center center; border-radius: 50%;"
                              ></span>
                            </a>
                          </div>
                          <div class="m-card-user__details">
                            <a
                              v-if="currentUser && currentUser.id"
                              class="m-card-user__name m--font-weight-500 nt-card-user__name"
                              active-class="active"
                              :href="idpUserInfo"
                            >{{ currentUser.full_name | truncateWords }}</a>
                            <span
                              v-if="currentUser.email"
                              class="m-card-user__email m--font-weight-300 nt-card-user__email"
                            >{{ currentUser.email | truncateWords }}</span>
                          </div>
                        </div>
                      </div>
                      <div class="m-dropdown__body">
                        <div class="m-dropdown__content">
                          <ul class="m-nav m-nav--skin-light nt-topbar__user-profile-nav">
                            <li class="m-nav__item nt-topbar__user-profile-nav-item">
                              <a :href="idpUserInfo" class="m-nav__link">
                                <i class="m-nav__link-icon icon icon-user-1"></i>
                                <span class="m-nav__link-text">Thông tin cá nhân</span>
                              </a>
                            </li>
                            <li class="m-nav__item nt-topbar__user-profile-nav-item">
                              <a :href="idpUserChangePassword" class="m-nav__link">
                                <i class="m-nav__link-icon icon icon-padlock"></i>
                                <span class="m-nav__link-text">Đổi mật khẩu</span>
                              </a>
                            </li>
                            <li
                              class="m-nav__separator m-nav__separator--fit"
                              style="display: block; width: 100%; border-bottom: 1px solid rgb(226, 229, 236);"
                            ></li>
                            <li class="m-nav__item d-inline-block w-100">
                              <a
                                href="javascript:;"
                                @click.prevent="logout()"
                                class="nt-button nt-button-secondary nt-button-pill nt-button-small"
                              >
                                <i
                                  class="icon icon-log-in"
                                  style="margin-top: 0; margin-right: 8px;"
                                ></i>Đăng xuất
                              </a>
                            </li>
                          </ul>
                        </div>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>
  </header>
</template>
